API Guide Home (Online version only) |

# CarrierCustomLib.h File Reference

## Detailed Description

This is the main header file for the Carrier Customization Library.

Version:
  1.0

Date:
  12/01/2002

This includes all the other required headers, so there is no need to include Traps, Errors, and Types if this is included.

Usage Model:

This library is automatically loaded at boot time by HsExtensions. Apps that call this library should only have to call SysLibFind. They should never have to load the library. LibOpen and LibClose should not be called either.

Definition in file CarrierCustomLib.h.

Include dependency graph for CarrierCustomLib.h:

Go to the source code of this file.

## Defines

- #define ENCRYPTED_DATABASE true
- #define MVNONAME_LENGTH 10
- #define CCUSTOM_LIB_TRAP(trapNum) SYS_TRAP(trapNum)

## Functions

- Err CCustomLibOpen (UInt16 refNum)
- Err CCustomLibClose (UInt16 refNum)
- Err CCustomLibSleep (UInt16 refNum)
- Err CCustomLibWake (UInt16 refNum)
- Err CCustomLibVersionGet (UInt16 refNum, UInt32 *majorVerP, UInt32 *minorVerP, UInt32 *bugFixVerP)
- Err CCustomLibGetCarrierSetting (UInt16 refNum, CCSMSettingsType settingsType, void *dataP)
- Err CCustomLibGetCarrierCode (UInt16 refNum, UInt8 *length, char **dataP)
- Err CCustomLibGetCarrierCodeLength (UInt16 refNum, UInt8 *lengthP, char *carrierCodeP)

## Define Documentation

#define CCUSTOM_LIB_TRAP | ( | trapNum |  | ) | SYS_TRAP(trapNum)

Definition at line 54 of file CarrierCustomLib.h.

#define ENCRYPTED_DATABASE true

internal

Definition at line 47 of file CarrierCustomLib.h.

#define MVNONAME_LENGTH 10

Definition at line 49 of file CarrierCustomLib.h.

## Function Documentation

Err CCustomLibClose | ( | UInt16 | refNum | ) |

Closes library and frees up allocated resources Close the library and decrements the reference count. This should never be called by an application.

Parameters:

  | refNum,: | IN: CCustomLib reference number (from SysLibFind or SysLibLoad)

Return values:

  | Err | Error Code.

Err CCustomLibGetCarrierCode | ( | UInt16 | refNum,
|  | UInt8 * | length,
|  | char ** | dataP |
| ) |  |  |

Returns the carrier ID from the SIM. Makes a copy of MMC/MNC code and returns it.

Parameters:

  | refNum,: | IN: CCustomLib reference number (from SysLibFind or SysLibLoad)
  | length,: | IN,OUT: length of buffer passed in, length of buffer used/needed (not including terminator)
  | dataP,: | OUT: pointer to store the value

Return values:

  | Err | Error code.

Err CCustomLibGetCarrierCodeLength | ( | UInt16 | refNum,
|  | UInt8 * | lengthP,
|  | char * | carrierCodeP |
| ) |  |  |

Returns the actual length of the carrier ID. If no carrier code is passed it, returns the length of the current carrier ID. This length is usually 6 for North American countries and 5 for others.

Parameters:

  | refNum,: | IN: CCustomLib reference number (from SysLibFind or SysLibLoad)
  | lengthP,: | IN,OUT: length of carrier code. Uses the current carrier if no carrier code is passed in
  | carrierCodeP,: | IN: optional carrier code

Return values:

  | Err | Error code.

Err CCustomLibGetCarrierSetting | ( | UInt16 | refNum,
|  | CCSMSettingsType | settingsType,
|  | void * | dataP |
| ) |  |  |

Returns the specified setting. Returns the carrier settings for the given field. Any memory allocation must be freed by the calling application. Currently, only string types are allocated.

Parameters:

  | refNum,: | IN: CCustomLib reference number (from SysLibFind or SysLibLoad)
  | settingsType,: | IN: object type specified by settingsTypeEnum
  | dataP,: | IN,OUT: allocated object containing data, undefined on err

Return values:

  | Err | Error code.

Err CCustomLibOpen | ( | UInt16 | refNum | ) |

Open the library, initialize library globals Initializes the library globals, based on the last known carrier. This should never be called by an application, as it is automatically loaded by the system and opened.

Parameters:

  | refNum,: | IN: CCustomLib reference number (from SysLibFind or SysLibLoad)

Return values:

  | Err | Error Code.

Err CCustomLibSleep | ( | UInt16 | refNum | ) |

Standard library sleep routine

Parameters:

  | refNum,: | IN: CCustomLib reference number (from SysLibFind or SysLibLoad)

Return values:

  | Err | Error code.

Err CCustomLibVersionGet | ( | UInt16 | refNum,
|  | UInt32 * | majorVerP,
|  | UInt32 * | minorVerP,
|  | UInt32 * | bugFixVerP |
| ) |  |  |

Get Library API Version number.

Parameters:

  | refNum,: | IN: Library reference number
  | majorVerP,: | OUT: Major version number
  | minorVerP,: | OUT: Minor version number
  | bugFixVerP,: | OUT: Bug fix version number

Return values:

  | Err | Customization Library error code

Err CCustomLibWake | ( | UInt16 | refNum | ) |

Standard library wake routine

Parameters:

  | refNum,: | IN: CCustomLib reference number (from SysLibFind or SysLibLoad)

Return values:

  | Err | Error code.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:06:56 2008 for Palm API Guide